#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private RSIAlertIndicator[] cacheRSIAlertIndicator;

		
		public RSIAlertIndicator RSIAlertIndicator(int period, int overSold, int overBought)
		{
			return RSIAlertIndicator(Input, period, overSold, overBought);
		}


		
		public RSIAlertIndicator RSIAlertIndicator(ISeries<double> input, int period, int overSold, int overBought)
		{
			if (cacheRSIAlertIndicator != null)
				for (int idx = 0; idx < cacheRSIAlertIndicator.Length; idx++)
					if (cacheRSIAlertIndicator[idx].Period == period && cacheRSIAlertIndicator[idx].OverSold == overSold && cacheRSIAlertIndicator[idx].OverBought == overBought && cacheRSIAlertIndicator[idx].EqualsInput(input))
						return cacheRSIAlertIndicator[idx];
			return CacheIndicator<RSIAlertIndicator>(new RSIAlertIndicator(){ Period = period, OverSold = overSold, OverBought = overBought }, input, ref cacheRSIAlertIndicator);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.RSIAlertIndicator RSIAlertIndicator(int period, int overSold, int overBought)
		{
			return indicator.RSIAlertIndicator(Input, period, overSold, overBought);
		}


		
		public Indicators.RSIAlertIndicator RSIAlertIndicator(ISeries<double> input , int period, int overSold, int overBought)
		{
			return indicator.RSIAlertIndicator(input, period, overSold, overBought);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.RSIAlertIndicator RSIAlertIndicator(int period, int overSold, int overBought)
		{
			return indicator.RSIAlertIndicator(Input, period, overSold, overBought);
		}


		
		public Indicators.RSIAlertIndicator RSIAlertIndicator(ISeries<double> input , int period, int overSold, int overBought)
		{
			return indicator.RSIAlertIndicator(input, period, overSold, overBought);
		}

	}
}

#endregion
